HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.Algebra.Group.CayleyGraph

Synopsis

- data Digraph a = DG [a] [(a, a)]
- cayleyDigraphP :: (Num a, Ord a) => [a] -> Digraph a
- cayleyGraphP :: (Ord a, Show a) => [Permutation a] -> Graph (Permutation a)
- cayleyDigraphS :: Ord a => ([a], [([a], [a])]) -> Digraph [a]
- cayleyGraphS :: Ord a => ([a], [([a], [a])]) -> Graph [a]
- fromTranspositions :: [SGen] -> Permutation Int
- fromTrans :: [SGen] -> [Int]
- bubblesort :: Ord t => [t] -> [t]
- toTrans :: Ord t => [t] -> [SGen]
- toTranspositions :: (Enum t, Num t, Ord t, Show t) => Permutation t -> [SGen]
- inversions :: (Enum t, Num t, Ord t) => Permutation t -> [(t, t)]

# Documentation

data Digraph a Source

Constructors

DG [a] [(a, a)] |

Instances

Eq a => Eq (Digraph a) |
Ord a => Ord (Digraph a) |
Show a => Show (Digraph a) |

cayleyDigraphP :: (Num a, Ord a) => [a] -> Digraph aSource

cayleyGraphP :: (Ord a, Show a) => [Permutation a] -> Graph (Permutation a)Source

The Cayley graph (undirected) on the generators (and their inverses), for a group given as permutations

cayleyDigraphS :: Ord a => ([a], [([a], [a])]) -> Digraph [a]Source

cayleyGraphS :: Ord a => ([a], [([a], [a])]) -> Graph [a]Source

The Cayley graph (undirected) on the generators (and their inverses), for a group given as generators and relations

fromTranspositions :: [SGen] -> Permutation Int Source

fromTrans :: [SGen] -> [Int]Source

bubblesort :: Ord t => [t] -> [t]Source

toTrans :: Ord t => [t] -> [SGen]Source

toTranspositions :: (Enum t, Num t, Ord t, Show t) => Permutation t -> [SGen]Source

inversions :: (Enum t, Num t, Ord t) => Permutation t -> [(t, t)]Source